_PTPParams Struct Reference

## Data Fields

uint8_t | byteorder
uint16_t | maxpacketsize
PTPIOSendReq | sendreq_func
PTPIOSendData | senddata_func
PTPIOGetResp | getresp_func
PTPIOGetData | getdata_func
PTPIOGetResp | event_check
PTPIOGetResp | event_wait
PTPErrorFunc | error_func
PTPDebugFunc | debug_func
void * | data
uint32_t | transaction_id
uint32_t | session_id
int | split_header_data
MTPPropList * | proplist
PTPObjectHandles | handles
PTPObjectInfo * | objectinfo
PTPDeviceInfo | deviceinfo
uint32_t * | canon_flags
uint8_t | wifi_profiles_version
uint8_t | wifi_profiles_number
PTPNIKONWifiProfile * | wifi_profiles
int | cmdfd
int | evtfd
uint8_t | cameraguid [16]
uint32_t | eventpipeid
char * | cameraname
iconv_t | cd_locale_to_ucs2
iconv_t | cd_ucs2_to_locale
uint8_t * | response_packet
uint16_t | response_packet_size

The documentation for this struct was generated from the following file:

- /home/jenkins/Optware-ng/buildroot-armeabi-ng/builds/libmtp/src/ptp.h